unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, KDaoDataBase, Grids, DBGrids, KADaoDBGrid, DB, KDaoTable,
  KADaoSubTable, StdCtrls, ExtCtrls, KADaoDBImage, DBCtrls;

type
  TForm1 = class(TForm)
    KADaoDatabase1: TKADaoDatabase;
    KADaoTable1: TKADaoTable;
    DataSource1: TDataSource;
    KADaoSubTable1: TKADaoSubTable;
    Button1: TButton;
    DataSource2: TDataSource;
    DBGrid1: TKADaoDBGrid;
    KADaoDBImage1: TKADaoDBImage;
    Button2: TButton;
    Button3: TButton;
    KADaoSubTable2: TKADaoSubTable;
    DataSource3: TDataSource;
    DBGrid2: TKADaoDBGrid;
    DBGrid3: TKADaoDBGrid;
    Label1: TLabel;
    Label2: TLabel;
    Button4: TButton;
    OpenDialog1: TOpenDialog;
    Button5: TButton;
    Button6: TButton;
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button6Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button2Click(Sender: TObject);
begin
  KADaoTable1.Filtered := NOT KADaoTable1.Filtered;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  if OpenDialog1.Execute Then
     Begin
        if KADaoSubTable1.AddAttachmentNative(OpenDialog1.FileName) Then
           Begin
             ShowMessage('Attachment added using native Access 2007 Field.LoadFromFile');
           End;
     End;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  if OpenDialog1.Execute Then
     Begin
        if KADaoSubTable1.AddAttachment(OpenDialog1.FileName,OpenDialog1.FileName) Then
           Begin
             ShowMessage('Attachment added using KADaoSubTable as TDataset');
           End;
     End;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  KADaoTable1.Active := NOT KADaoTable1.Active;
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
 KADaoSubTable1.Filtered := NOT KADaoSubTable1.Filtered;
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
 KADaoSubTable2.Filtered := NOT KADaoSubTable2.Filtered;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
 KADaoDatabase1.Version :='12.0';
 KADaoDatabase1.Open;
 KADaoTable1.Open;
 KADaoSubTable1.Open;
 KADaoSubTable2.Open;
end;



end.
